Thread Rating:
  • 7 Vote(s) - 4.71 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[For 1.8] Rin Editor 1.2.0 (Powerd by CKEditor)
hi martec!
Thanks this is what I tried.
it worked, but didn't work properly 100%
fortunately or unfortunately my forum language is Russian
One thing for sure it converted forums (descriptions) into question marks

I reversed all changes to earlier created back up.
No worries unicode emoji is not the mayor and I'm a bit tired of all that patching since I'm not a programmer and have to concentrate on other things as well
http://alhimika.net/forum/

Thanks for your help
Reply
hi Martec!
Is there any change to get this quite an old plugin to get working with Rineditor or to add to your editor same functionality?

No need. Silly me, but post preview gives nearly same functionality as newreply  Blush

https://community.mybb.com/mods.php?acti...se&pid=810
Reply
(2021-01-28, 11:28 PM)Alhimika Wrote: hi Martec!
Is there any change to get this quite an old plugin to get working with Rineditor or to add to your editor same functionality?

No need. Silly me, but post preview gives nearly same functionality as newreply  Blush

https://community.mybb.com/mods.php?acti...se&pid=810

no problem... I'm glad you solved it.
Reply
About CKEditor 4.16 relase and security issue of Autolink plugin and Advanced Tab for Dialogs plugin.

About detail of security issue here: https://ckeditor.com/cke4/release-notes

My plugin does not include the Autolink plugin and the Advanced Tab for Dialogs plugin, so it is not affected.
I will update the CKEditor base to 4.16 but this will take time as it is rebase.

Again you don't have to worry as this plugin is not affected.
Reply
Thank you martec!
[MyBB 1.8 Czech translation] [MyBB 1.8 plugins]: Prune old PMs + optimize DB plugin --- Thank you/like system
Reply
1.2.0 Released

Change log:
https://community.mybb.com/mods.php?acti...og&pid=657

How update:
1.0.5 or above:

1 - Replace the files with new version
Ps. No changes made in config.js since 1.0.5 (https://github.com/martec/Rin-Editor/blo.../config.js). You can keep your customized version of this file as long as the base version is greater than 1.0.5

2 - Open and edit:
Home » Template Sets » Global Templates » Edit Template: rinbutquick

Find:
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/rin/editor/rineditor.js?ver=x.x.x"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/rin/editor/ckeditor.js?ver=x.x.x"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/rin/editor/adapters/jquery.js?ver=x.x.x"></script>

Replace:
{$rin_js_files}

1.0.5 or below:

- Unistall old version.
- Upload new version.
- Install new version.
Reply
Thank you, updated!
[MyBB 1.8 Czech translation] [MyBB 1.8 plugins]: Prune old PMs + optimize DB plugin --- Thank you/like system
Reply
Hi Martec!

I'm trying to get myDropzone to work correctly with rinediton

https://community.mybb.com/mods.php?acti...w&pid=1437

"insert attach into post" works only with default editor, not rin editor

Here is the message from console 

   

code from rules.js

text: {

		add: function(text) {

			if (!MyDropzone.exists(text)) {
				return false;
			}

			if (MyDropzone.options.useEditor) {
				MyBBEditor.insert(text);
			}
			else {
				MyDropzone.textarea.insertAtCaret(text);
			}

			return true;

		},


Any ideas how to fix this?

Thanks
My forum powered by MyBB https://alhimika.net/forum/
Reply


Forum Jump:


Users browsing this thread: 2 Guest(s)